---
title: Book Appointment
slug: book-appointment
docTags: 
createdAt: 2023-09-12T11:07:48.226Z
---

Once an appointment slot is found that you want to book, you can book the appointment by creating an Appointment Resource to fill the chosen Appointment Slot.&#x20;

### Interaction

Booking the selected appointment slot can be done by sending a **POST** request with the FHIR $book operation with the Appointment Resource to the Appointment endpoint:

`https://api.<region>.founda.com/1/health/organizations/<org-x>fhir/4/Appointment/$book`

Or with the FHIR $book operation with the selected Appointment Slot in the Request body, to the Appointment endpoint of the selected Appointment Slot:

`https://api.<region>.founda.com/1/health/organizations/<org-x>fhir/4/Appointment/proposed-appt2a-1/$book`

Where `<region>` should be defined according to the different Founda [regions](docId\:ncFf15xNu1WGlST2wNm-P) and `<org-x>` should be replaced with the Healthcare Provider's organization ID that you are integrated with. &#x20;

### Profile

Founda adheres to recognized standards (IHE, HL7 FHIR) to ensure compatibility and harmonization among diverse systems. If there is a profile available for an interaction, it is recommended and preferred to follow the prescribed transactions.

The Book Appointment interaction with the Founda Platform is based on the IHE FHIR Scheduling profile's [ITI-116 transaction](https://build.fhir.org/ig/IHE/ITI.Scheduling/ITI-116.html).

### Example API call

```curl
curl --location 'https://api.eu.founda.com/1/health/organizations/org-4c5739ba994d4ce9b5255d3f84a2d367/fhir/4/Appointment/$book' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer ory_at_j3f3k53SVP4B8FUoQij99xSXG0yTisqdO6n89IE_8ZU.1jzkaQAuUq_tj79lJQfczRubXQ4gTqLO4XbvKWVEmQM' \
--data '{
  "resourceType" : "Appointment",
  "status" : "pending",
  "start" : "2017-07-17T01:00:00Z",
  "end" : "2017-07-17T01:15:00Z",
  "participant" : [
    {
      "actor" : {
        "reference" : "Practitioner/2079",
        "display" : "Dr Adam Careful"
      }
    }
  ]
}
'
```

